Summary:   Color management tools for GNOME
Name:      gnome-color-manager
Version:   2.32.0
Release:   %mkrel 2
License:   GPLv2+
Group:     Graphical desktop/GNOME
URL:       http://projects.gnome.org/gnome-color-manager/
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Source1:   gcm-import.desktop
Patch0:    gnome-color-manager-2.32.0-libnotify-0.7.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: desktop-file-utils
BuildRequires: docbook-dtd41-sgml
BuildRequires: docbook-utils
BuildRequires: gtk-doc
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: rarian
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}cups2-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gnome-desktop-2-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}lcms-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sane1-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}unique-devel
BuildRequires: %{_lib}vte-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xxf86vm-devel

Requires:  gnome-icon-theme
Requires:  shared-color-profiles
Requires:  ldetect-lst

%description
gnome-color-manager is a session framework that makes it easy to manage, 
install and generate color profiles in the GNOME desktop.


%prep
%setup -q
%patch0 -p0

%build
autoreconf -fi
%configure2_5x --disable-scrollkeeper --disable-schemas-install --enable-hardware-detection
%make 

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

%find_lang %name --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%define schemas %name

#fix menu
install -m 0644 %SOURCE1 %buildroot%_datadir/applications
install -D -m 0644 data/icons/48x48/gnome-color-manager.png \
%buildroot%_datadir/pixmaps/%{name}.png

%clean
rm -rf %buildroot

%post
#%%update_scrollkeeper
%post_install_gconf_schemas %{schemas}
%update_mime_database
%update_menus
%update_desktop_database

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
#%%clean_scrollkeeper
%clean_menus
%clean_mime_database
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
/lib/udev/rules.d/*.rules
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/gcm-*
%{_sbindir}/*
%{_datadir}/gnome-color-manager
%_datadir/pixmaps/%{name}.png
%{_datadir}/man/man1/*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/*.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/dbus-1/services/org.gnome.ColorManager.service
%{_datadir}/polkit-1/actions/*.policy


%changelog
* Mon Nov 03 2014 bb <bb> 2.32.0-2pclos2014
- fix menu and clean up specfile a little

* Thu Oct 30 2014 pinoc <vogtpet at gmail.com> 2.32.0-1pclos2014
- imported package

